"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetrieverLayer = void 0;
const group_layer_1 = require("./group.layer");
class RetrieverLayer extends group_layer_1.GroupLayer {
    constructor(page, browser, options, ev) {
        super(page, browser, options, ev);
        this.page = page;
        this.browser = browser;
        this.options = options;
        this.ev = ev;
    }
    /**
     * returns a list of contacts
     * @returns contacts
     */
    async getAllContacts() {
        return await this.page.evaluate(() => API.getAllContacts());
    }
}
exports.RetrieverLayer = RetrieverLayer;
//# sourceMappingURL=retriever.layer.js.map